From: <a href="/blend/av.cgi?id=1684">blessed23</a><BR>
Date: 1 August 2014<P>

musicalduck, about <a href="/blend/wv.cgi?id=2014.06.25.16.35.12123">I Loved You</a>:  I feel the same way about a few of my past relationships.  It's difficult for me to show it in ways that others understand.  I empathize.
<HR>
From: <a href="/blend/av.cgi?id=1684">blessed23</a><BR>
Date: 1 August 2014<P>

B.K. - You almost definitely will be seeing some work soon.  I just had my girlfriend of 3 and a half years cheat on me about a week ago.  I caught them in the act of making out.  When the wound is not so fresh, I may share some stuff, both old and new.  Honor you with my works?  That's quite the compliment, one which my works do not deserve.  They are mediocre at best, but thanks anyway.  I hope you're doing fine.
<HR>